spack:
  specs:
    # Base
    - python@3.8.11 %gcc@10.3.0
    # Notebook
    - py-jupyter %gcc@10.3.0
    - py-ipython %gcc@10.3.0
    - py-ipykernel %gcc@10.3.0
    - py-notebook %gcc@10.3.0
    # General
    - py-pip %gcc@10.3.0
    - py-numpy %gcc@10.3.0
    - py-scipy %gcc@10.3.0
    - py-pandas %gcc@10.3.0
    - py-seaborn %gcc@10.3.0
    - py-matplotlib %gcc@10.3.0
    # EBRAINS simulators
    - nest@3.0 +python +gsl +mpi %gcc@10.3.0
    - arbor +mpi ^python@3:3.9 %gcc@10.3.0
    - neuron +mpi %gcc@10.3.0
    - py-pynn@0.9.6 %gcc@10.3.0
    - tvb-data %gcc@10.3.0
    - tvb-library ^binutils+ld+gold %gcc@10.3.0
    - tvb-storage ^binutils+ld+gold %gcc@10.3.0
    - py-pyaescrypt %gcc@10.3.0
    - py-formencode %gcc@10.3.0
    - tvb-framework ^binutils+ld+gold %gcc@10.3.0
    - meta-brainscales %gcc@10.3.0
    #- pynn-brainscales@1.0-rc2 ^log4cxx@0.10.0 ^googletest@1.11.0:+gmock %gcc@10.3.0
    # demo for codejam12
    - funniest1022 %gcc@10.3.0
    # NRP
    #- py-torch~mkldnn~cuda~cudnn %gcc@10.3.0
  concretization: together
